# Recurring Payments ⚠️(Deprecated)

The recurring Payments method gives a possibility to store a customer’s data and to perform a payment without a customer’s interaction.

To perform a Recurring Payment an `order_id` from a successfully performed payment transaction is needed.

An `order_id` can be received after at least the 0.10 GEL payment is successfully [performed](create-order.md) and then [returned back](refund.md). This `order_id` can be further used in a future Recurring Payments

In most cases, the Payment Status will be `in_progress`. To receive a current status the [Payment Details method](get-payment-details.md) should be used.

:::note
By default, the feature of Recurring Payments is switched off. A Bank of Georgia should be contacted to activate this feature.
:::

## Parameters

- `order_id` — string, required

  An identifier of a successful payment performed by a given customer.

- `amount` — object, required

  A Payment Amount object.

  - `currency_code` — GEL, required

    A payment currency.

  - `value` — number, required

    A Payment Amount value.

- `shop_order_id` — string

  A Payment identifier from an Online Shop system (i.e.: An identifier of a shopping Basket).

**request**

```api
POST /api/v1/checkout/payment/subscription
Content-Type: application/json
Authorization: Bearer <jwt_token>
```

```json
{
  "order_id": "<order_id>",
  "amount": {
    "currency_code": "GEL",
    "value": "16.45"
  },
  "shop_order_id": "your_shop_order_id"
}
```

## Response

- `status` — string, required

  A status of a Recurring Payment.
  - `success` - A Recurring payment is successful.
  - `error` - A Recurring payment is unsuccessful.
  - `in_progress` - A Recurring payment is in progress. When this status is returned, a [Payment Details method](get-payment-details.md) should be used to retrieve a payment status.

- `payment_hash` — string

  A payment_hash of a Recurring payment.

- `order_id` — string

  An ID of a Recurring payment.

**response**

```json
{
  "status": "success",
  "payment_hash": "<payment_hash>",
  "order_id": "<order_id>"
}
```
